# TCLAP::ArgTraits< short > Struct Template Reference

shorts have value-like semantics. More...

`#include <StandardTraits.h>`

List of all members.

## Public Types
typedef ValueLike | ValueCategory

## Detailed Description

### template<>
struct TCLAP::ArgTraits< short >

shorts have value-like semantics.

Definition at line 68 of file StandardTraits.h.

## Member Typedef Documentation

typedef ValueLike TCLAP::ArgTraits< short >::ValueCategory

Definition at line 69 of file StandardTraits.h.

The documentation for this struct was generated from the following file:

- StandardTraits.h